<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('timeseries_key_master', function (Blueprint $table) {
            $table->tinyInteger('display_firing_order')->default(0)->after('display_on_alerts');
            $table->tinyInteger('display_cylinder_specific')->default(0)->after('display_firing_order');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('timeseries_key_master', function (Blueprint $table) {
            $table->dropColumn(['display_firing_order','display_cylinder_specific']);
        });
    }
};
